Skip to content

Get 'Community'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/structural/community/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/structural/community/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 charactersrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
regionobject or null(Region)
main_addressobject or null(Address)

Content Type: common.address

public_descriptionstring or null
sales_descriptionstring or null
primary_purpose_typestring or null, <= 64 characters

Additional Validation Information:

Enum Descriptions:

  • AAA - Aaa

  • AAB - Aab

  • AAC - Aac

  • AAD - Aad

  • BAA - Baa

  • BBA - Bba

  • BBB - Bbb

  • BBC - Bbc

  • BCA - Bca

  • BCB - Bcb

  • BDA - Bda

  • BDB - Bdb

  • BDC - Bdc

  • BDD - Bdd

  • BDE - Bde

  • BDF - Bdf

  • BDG - Bdg

  • BDH - Bdh

  • BEA - Bea

  • BEB - Beb

  • BEC - Bec

  • BFA - Bfa

  • BFB - Bfb

  • BFC - Bfc

  • BFD - Bfd

  • BFE - Bfe

  • BFF - Bff

  • BFG - Bfg

  • BGA - Bga

  • BGB - Bgb

  • BGC - Bgc

  • BHA - Bha

  • BHB - Bhb

  • BJA - Bja

  • BJB - Bjb

  • CAA - Caa

  • CAB - Cab

  • CBA - Cba

  • CBB - Cbb

  • CBC - Cbc

  • DAA - Daa

  • DAB - Dab

  • DAC - Dac

  • DAD - Dad

  • DAE - Dae

  • DAF - Daf

  • DAG - Dag

  • DAH - Dah

Enum:"AAA""AAB""AAC""AAD""BAA""BBA""BBB""BBC""BCA""BCB"
custom_dimension_valuestring or null, <= 255 characters
tagsanyread-only
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "region": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "main_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "care_of": "string", "attention": "string", "street": "string", "street_number": "string", "postal_code": "string", "city": "string", "country": "string", "longitude": -180, "latitude": -90 }, "public_description": "string", "sales_description": "string", "primary_purpose_type": "AAA", "custom_dimension_value": "string", "tags": null, "customer_columns": null }